Index: trunk/ui/mainwindow.ui
===================================================================
--- trunk/ui/mainwindow.ui	(revision 116)
+++ trunk/ui/mainwindow.ui	(revision 117)
@@ -162,5 +162,5 @@
          <property name="icon">
           <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
+           <normaloff>:/images/icons/dialog-ok.png</normaloff>:/images/icons/dialog-ok.png</iconset>
          </property>
         </widget>
@@ -212,5 +212,5 @@
          <property name="icon">
           <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+           <normaloff>:/images/icons/document-save-as.png</normaloff>:/images/icons/document-save-as.png</iconset>
          </property>
         </widget>
@@ -242,5 +242,5 @@
          <property name="icon">
           <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/back.png</normaloff>:/images/icons/back.png</iconset>
+           <normaloff>:/images/icons/go-previous.png</normaloff>:/images/icons/go-previous.png</iconset>
          </property>
         </widget>
@@ -275,5 +275,5 @@
      <property name="icon">
       <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+       <normaloff>:/images/icons/document-save-as.png</normaloff>:/images/icons/document-save-as.png</iconset>
      </property>
      <addaction name="actionFileSaveAsTask"/>
@@ -303,5 +303,5 @@
      <property name="icon">
       <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
+       <normaloff>:/images/icons/preferences-desktop-locale.png</normaloff>:/images/icons/preferences-desktop-locale.png</iconset>
      </property>
      <addaction name="actionSettingsLanguageAutodetect"/>
@@ -313,7 +313,13 @@
       <string>Style</string>
      </property>
+     <property name="icon">
+      <iconset resource="../resources/tspsg.qrc">
+       <normaloff>:/images/icons/preferences-desktop-theme.png</normaloff>:/images/icons/preferences-desktop-theme.png</iconset>
+     </property>
     </widget>
     <addaction name="menuSettingsLanguage"/>
     <addaction name="menuSettingsStyle"/>
+    <addaction name="actionSettingsToolbars"/>
+    <addaction name="separator"/>
     <addaction name="actionSettingsPreferences"/>
    </widget>
@@ -370,5 +376,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
+     <normaloff>:/images/icons/document-new.png</normaloff>:/images/icons/document-new.png</iconset>
    </property>
    <property name="text">
@@ -388,5 +394,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
+     <normaloff>:/images/icons/document-open.png</normaloff>:/images/icons/document-open.png</iconset>
    </property>
    <property name="text">
@@ -406,5 +412,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
+     <normaloff>:/images/icons/preferences-system.png</normaloff>:/images/icons/preferences-system.png</iconset>
    </property>
    <property name="text">
@@ -421,5 +427,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
+     <normaloff>:/images/icons/help-contents.png</normaloff>:/images/icons/help-contents.png</iconset>
    </property>
    <property name="text">
@@ -439,5 +445,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
+     <normaloff>:/images/icons/help-contextual.png</normaloff>:/images/icons/help-contextual.png</iconset>
    </property>
    <property name="text">
@@ -454,5 +460,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
+     <normaloff>:/images/icons/help-about.png</normaloff>:/images/icons/help-about.png</iconset>
    </property>
    <property name="text">
@@ -466,5 +472,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
+     <normaloff>:/images/icons/application-exit.png</normaloff>:/images/icons/application-exit.png</iconset>
    </property>
    <property name="text">
@@ -520,5 +526,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
+     <normaloff>:/images/icons/document-save.png</normaloff>:/images/icons/document-save.png</iconset>
    </property>
    <property name="text">
@@ -559,4 +565,16 @@
    <property name="statusTip">
     <string>Automatically choose the most appropriate style</string>
+   </property>
+  </action>
+  <action name="actionSettingsToolbars">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/icons/configure-toolbars.png</normaloff>:/images/icons/configure-toolbars.png</iconset>
+   </property>
+   <property name="text">
+    <string>Toolbars...</string>
+   </property>
+   <property name="statusTip">
+    <string>Customize toolbars</string>
    </property>
   </action>
Index: trunk/ui/settingsdialog.ui
===================================================================
--- trunk/ui/settingsdialog.ui	(revision 116)
+++ trunk/ui/settingsdialog.ui	(revision 117)
@@ -9,539 +9,523 @@
   <property name="windowIcon">
    <iconset resource="../resources/tspsg.qrc">
-	<normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
+    <normaloff>:/images/icons/preferences-system.png</normaloff>:/images/icons/preferences-system.png</iconset>
   </property>
   <widget class="QWidget" name="bgGrey" native="true">
-   <property name="geometry">
-	<rect>
-	 <x>0</x>
-	 <y>0</y>
-	 <width>197</width>
-	 <height>37</height>
-	</rect>
-   </property>
    <property name="sizePolicy">
-	<sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-	 <horstretch>0</horstretch>
-	 <verstretch>0</verstretch>
-	</sizepolicy>
+    <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+     <horstretch>0</horstretch>
+     <verstretch>0</verstretch>
+    </sizepolicy>
    </property>
    <property name="autoFillBackground">
-	<bool>true</bool>
+    <bool>true</bool>
    </property>
    <layout class="QVBoxLayout" name="_2">
-	<property name="spacing">
-	 <number>0</number>
-	</property>
-	<property name="margin">
-	 <number>0</number>
-	</property>
-	<item>
-	 <widget class="Line" name="lineHorizontal">
-	  <property name="maximumSize">
-	   <size>
-		<width>16777215</width>
-		<height>2</height>
-	   </size>
-	  </property>
-	  <property name="frameShadow">
-	   <enum>QFrame::Plain</enum>
-	  </property>
-	  <property name="lineWidth">
-	   <number>2</number>
-	  </property>
-	  <property name="orientation">
-	   <enum>Qt::Horizontal</enum>
-	  </property>
-	 </widget>
-	</item>
-	<item>
-	 <layout class="QHBoxLayout" name="buttons">
-	  <property name="spacing">
-	   <number>6</number>
-	  </property>
-	  <property name="margin">
-	   <number>6</number>
-	  </property>
-	  <item>
-	   <widget class="QToolButton" name="buttonHelp">
-		<property name="enabled">
-		 <bool>false</bool>
-		</property>
-		<property name="cursor">
-		 <cursorShape>PointingHandCursor</cursorShape>
-		</property>
-		<property name="toolTip">
-		 <string>Help</string>
-		</property>
-		<property name="statusTip">
-		 <string>Get preferences help</string>
-		</property>
-		<property name="text">
-		 <string>Help</string>
-		</property>
-		<property name="icon">
-		 <iconset resource="../resources/tspsg.qrc">
-		  <normaloff>:/images/icons/help_hint.png</normaloff>:/images/icons/help_hint.png</iconset>
-		</property>
-		<property name="autoRaise">
-		 <bool>true</bool>
-		</property>
-	   </widget>
-	  </item>
-	  <item>
-	   <widget class="QDialogButtonBox" name="buttonBox">
-		<property name="standardButtons">
-		 <set>QDialogButtonBox::Cancel|QDialogButtonBox::Save</set>
-		</property>
-	   </widget>
-	  </item>
-	 </layout>
-	</item>
+    <property name="spacing">
+     <number>0</number>
+    </property>
+    <property name="margin">
+     <number>0</number>
+    </property>
+    <item>
+     <widget class="Line" name="lineHorizontal">
+      <property name="maximumSize">
+       <size>
+        <width>16777215</width>
+        <height>2</height>
+       </size>
+      </property>
+      <property name="frameShadow">
+       <enum>QFrame::Plain</enum>
+      </property>
+      <property name="lineWidth">
+       <number>2</number>
+      </property>
+      <property name="orientation">
+       <enum>Qt::Horizontal</enum>
+      </property>
+     </widget>
+    </item>
+    <item>
+     <layout class="QHBoxLayout" name="buttons">
+      <property name="spacing">
+       <number>6</number>
+      </property>
+      <property name="margin">
+       <number>6</number>
+      </property>
+      <item>
+       <widget class="QToolButton" name="buttonHelp">
+        <property name="enabled">
+         <bool>false</bool>
+        </property>
+        <property name="cursor">
+         <cursorShape>PointingHandCursor</cursorShape>
+        </property>
+        <property name="toolTip">
+         <string>Help</string>
+        </property>
+        <property name="statusTip">
+         <string>Get preferences help</string>
+        </property>
+        <property name="text">
+         <string>Help</string>
+        </property>
+        <property name="icon">
+         <iconset resource="../resources/tspsg.qrc">
+          <normaloff>:/images/icons/help-hint.png</normaloff>:/images/icons/help-hint.png</iconset>
+        </property>
+        <property name="autoRaise">
+         <bool>true</bool>
+        </property>
+       </widget>
+      </item>
+      <item>
+       <widget class="QDialogButtonBox" name="buttonBox">
+        <property name="standardButtons">
+         <set>QDialogButtonBox::Cancel|QDialogButtonBox::Save</set>
+        </property>
+       </widget>
+      </item>
+     </layout>
+    </item>
    </layout>
   </widget>
   <widget class="QWidget" name="bgWhite" native="true">
-   <property name="geometry">
-	<rect>
-	 <x>0</x>
-	 <y>0</y>
-	 <width>226</width>
-	 <height>253</height>
-	</rect>
-   </property>
    <property name="autoFillBackground">
-	<bool>true</bool>
+    <bool>true</bool>
    </property>
    <layout class="QHBoxLayout" name="_3">
-	<item>
-	 <widget class="QTabWidget" name="tabWidget">
-	  <widget class="QWidget" name="tabGeneral">
-	   <attribute name="title">
-		<string>General</string>
-	   </attribute>
-	   <attribute name="toolTip">
-		<string>General TSPSG settings</string>
-	   </attribute>
-	   <layout class="QVBoxLayout" name="_4">
-		<item>
-		 <widget class="QCheckBox" name="cbAutosize">
-		  <property name="cursor">
-		   <cursorShape>PointingHandCursor</cursorShape>
-		  </property>
-		  <property name="statusTip">
-		   <string>Automatically resize rows and columns to their contents</string>
-		  </property>
-		  <property name="text">
-		   <string>Autosize of rows and columns</string>
-		  </property>
-		 </widget>
-		</item>
-		<item>
-		 <widget class="QCheckBox" name="cbUseNativeDialogs">
-		  <property name="cursor">
-		   <cursorShape>PointingHandCursor</cursorShape>
-		  </property>
-		  <property name="statusTip">
-		   <string>Use native File Open and File Save dialogs (uncheck to use Qt's Dialogs)</string>
-		  </property>
-		  <property name="text">
-		   <string>Use native file dialogs</string>
-		  </property>
-		 </widget>
-		</item>
-		<item>
-		 <spacer name="spacer">
-		  <property name="orientation">
-		   <enum>Qt::Vertical</enum>
-		  </property>
-		  <property name="sizeHint" stdset="0">
-		   <size>
-			<width>0</width>
-			<height>0</height>
-		   </size>
-		  </property>
-		 </spacer>
-		</item>
-	   </layout>
-	  </widget>
-	  <widget class="QWidget" name="tabTask">
-	   <attribute name="title">
-		<string>Task</string>
-	   </attribute>
-	   <attribute name="toolTip">
-		<string>Task generation and solving settings</string>
-	   </attribute>
-	   <layout class="QVBoxLayout" name="_9">
-		<item>
-		 <layout class="QFormLayout" name="_5">
-		  <property name="fieldGrowthPolicy">
-		   <enum>QFormLayout::ExpandingFieldsGrow</enum>
-		  </property>
-		  <item row="0" column="0">
-		   <widget class="QLabel" name="labelFractionalAccuracy">
-			<property name="text">
-			 <string>Fractional accuracy:</string>
-			</property>
-			<property name="buddy">
-			 <cstring>spinFractionalAccuracy</cstring>
-			</property>
-		   </widget>
-		  </item>
-		  <item row="0" column="1">
-		   <widget class="QSpinBox" name="spinFractionalAccuracy">
-			<property name="cursor">
-			 <cursorShape>PointingHandCursor</cursorShape>
-			</property>
-			<property name="statusTip">
-			 <string>Accuracy of the fractional values (in decimal places)</string>
-			</property>
-			<property name="maximum">
-			 <number>6</number>
-			</property>
-		   </widget>
-		  </item>
-		 </layout>
-		</item>
-		<item>
-		 <widget class="QCheckBox" name="cbSymmetricMode">
-		  <property name="cursor">
-		   <cursorShape>PointingHandCursor</cursorShape>
-		  </property>
-		  <property name="statusTip">
-		   <string>In this mode the cost of travel from city 1 to city 2 and vice versa is the same</string>
-		  </property>
-		  <property name="text">
-		   <string>Symmetric mode</string>
-		  </property>
-		 </widget>
-		</item>
-		<item>
-		 <widget class="QGroupBox" name="gbTaskGeneration">
-		  <property name="title">
-		   <string>Task generation</string>
-		  </property>
-		  <layout class="QVBoxLayout" name="_7">
-		   <item>
-			<layout class="QFormLayout" name="_8">
-			 <property name="fieldGrowthPolicy">
-			  <enum>QFormLayout::ExpandingFieldsGrow</enum>
-			 </property>
-			 <item row="0" column="0">
-			  <widget class="QLabel" name="labelRandMin">
-			   <property name="text">
-				<string>Minimal random:</string>
-			   </property>
-			   <property name="buddy">
-				<cstring>spinRandMin</cstring>
-			   </property>
-			  </widget>
-			 </item>
-			 <item row="0" column="1">
-			  <widget class="QSpinBox" name="spinRandMin">
-			   <property name="cursor">
-				<cursorShape>PointingHandCursor</cursorShape>
-			   </property>
-			   <property name="statusTip">
-				<string>Minimum for random number generation</string>
-			   </property>
-			  </widget>
-			 </item>
-			 <item row="1" column="0">
-			  <widget class="QLabel" name="labelRandMax">
-			   <property name="text">
-				<string>Maximal random:</string>
-			   </property>
-			   <property name="buddy">
-				<cstring>spinRandMax</cstring>
-			   </property>
-			  </widget>
-			 </item>
-			 <item row="1" column="1">
-			  <widget class="QSpinBox" name="spinRandMax">
-			   <property name="cursor">
-				<cursorShape>PointingHandCursor</cursorShape>
-			   </property>
-			   <property name="statusTip">
-				<string>Maximum for random number generation</string>
-			   </property>
-			  </widget>
-			 </item>
-			</layout>
-		   </item>
-		   <item>
-			<widget class="QCheckBox" name="cbFractionalRandom">
-			 <property name="cursor">
-			  <cursorShape>PointingHandCursor</cursorShape>
-			 </property>
-			 <property name="statusTip">
-			  <string>Generate fractional random values with the Fractional accuracy</string>
-			 </property>
-			 <property name="text">
-			  <string>Fractional random values</string>
-			 </property>
-			</widget>
-		   </item>
-		  </layout>
-		 </widget>
-		</item>
-		<item>
-		 <spacer name="spacer_2">
-		  <property name="orientation">
-		   <enum>Qt::Vertical</enum>
-		  </property>
-		  <property name="sizeHint" stdset="0">
-		   <size>
-			<width>10</width>
-			<height>0</height>
-		   </size>
-		  </property>
-		 </spacer>
-		</item>
-	   </layout>
-	  </widget>
-	  <widget class="QWidget" name="tabOutput">
-	   <attribute name="title">
-		<string>Output</string>
-	   </attribute>
-	   <attribute name="toolTip">
-		<string>Solution output settings</string>
-	   </attribute>
-	   <layout class="QVBoxLayout" name="_6">
-		<item>
-		 <widget class="QCheckBox" name="cbShowGraph">
-		  <property name="cursor">
-		   <cursorShape>PointingHandCursor</cursorShape>
-		  </property>
-		  <property name="statusTip">
-		   <string>Show graphical representation of the solution</string>
-		  </property>
-		  <property name="text">
-		   <string>Show solution graph</string>
-		  </property>
-		 </widget>
-		</item>
-		<item>
-		 <layout class="QHBoxLayout" name="_10">
-		  <property name="spacing">
-		   <number>5</number>
-		  </property>
-		  <item>
-		   <spacer name="spacer_7">
-			<property name="orientation">
-			 <enum>Qt::Horizontal</enum>
-			</property>
-			<property name="sizeType">
-			 <enum>QSizePolicy::Fixed</enum>
-			</property>
-			<property name="sizeHint" stdset="0">
-			 <size>
-			  <width>10</width>
-			  <height>0</height>
-			 </size>
-			</property>
-		   </spacer>
-		  </item>
-		  <item>
-		   <widget class="QLabel" name="labelGraphImageFormat">
-			<property name="text">
-			 <string>Save solution graph as</string>
-			</property>
-			<property name="buddy">
-			 <cstring>comboGraphImageFormat</cstring>
-			</property>
-		   </widget>
-		  </item>
-		  <item>
-		   <widget class="QComboBox" name="comboGraphImageFormat">
-			<property name="cursor">
-			 <cursorShape>PointingHandCursor</cursorShape>
-			</property>
-			<property name="statusTip">
-			 <string>What image format to use for graph when saving solution as HTML</string>
-			</property>
-		   </widget>
-		  </item>
-		  <item>
-		   <spacer name="horizontalSpacer">
-			<property name="orientation">
-			 <enum>Qt::Horizontal</enum>
-			</property>
-			<property name="sizeHint" stdset="0">
-			 <size>
-			  <width>0</width>
-			  <height>0</height>
-			 </size>
-			</property>
-		   </spacer>
-		  </item>
-		 </layout>
-		</item>
-		<item>
-		 <widget class="QCheckBox" name="cbShowMatrix">
-		  <property name="cursor">
-		   <cursorShape>PointingHandCursor</cursorShape>
-		  </property>
-		  <property name="statusTip">
-		   <string>Show solution steps' matrices for every solution step</string>
-		  </property>
-		  <property name="text">
-		   <string>Show solution steps' matrices</string>
-		  </property>
-		 </widget>
-		</item>
-		<item>
-		 <layout class="QHBoxLayout" name="_12">
-		  <property name="spacing">
-		   <number>0</number>
-		  </property>
-		  <item>
-		   <spacer name="spacer_3">
-			<property name="orientation">
-			 <enum>Qt::Horizontal</enum>
-			</property>
-			<property name="sizeType">
-			 <enum>QSizePolicy::Fixed</enum>
-			</property>
-			<property name="sizeHint" stdset="0">
-			 <size>
-			  <width>10</width>
-			  <height>0</height>
-			 </size>
-			</property>
-		   </spacer>
-		  </item>
-		  <item>
-		   <widget class="QCheckBox" name="cbCitiesLimit">
-			<property name="cursor">
-			 <cursorShape>PointingHandCursor</cursorShape>
-			</property>
-			<property name="statusTip">
-			 <string>Show or hide solution steps' matrices based on number of cities in the task</string>
-			</property>
-			<property name="text">
-			 <string>Only when &lt;=</string>
-			</property>
-		   </widget>
-		  </item>
-		  <item>
-		   <widget class="QSpinBox" name="spinCitiesLimit">
-			<property name="cursor">
-			 <cursorShape>PointingHandCursor</cursorShape>
-			</property>
-			<property name="statusTip">
-			 <string>Maximum number of cities to show solution steps' matrices</string>
-			</property>
-			<property name="suffix">
-			 <string comment="Don't forget a space at the beginning!"> cities</string>
-			</property>
-			<property name="minimum">
-			 <number>1</number>
-			</property>
-		   </widget>
-		  </item>
-		  <item>
-		   <spacer name="spacer_4">
-			<property name="orientation">
-			 <enum>Qt::Horizontal</enum>
-			</property>
-			<property name="sizeHint" stdset="0">
-			 <size>
-			  <width>0</width>
-			  <height>0</height>
-			 </size>
-			</property>
-		   </spacer>
-		  </item>
-		 </layout>
-		</item>
-		<item>
-		 <widget class="QCheckBox" name="cbScrollToEnd">
-		  <property name="cursor">
-		   <cursorShape>PointingHandCursor</cursorShape>
-		  </property>
-		  <property name="statusTip">
-		   <string>Scroll to the end of solution output after solving</string>
-		  </property>
-		  <property name="text">
-		   <string>Scroll to solution end</string>
-		  </property>
-		 </widget>
-		</item>
-		<item>
-		 <layout class="QHBoxLayout" name="_11">
-		  <item>
-		   <widget class="QGroupBox" name="groupOutput">
-			<property name="title">
-			 <string>Output font settings</string>
-			</property>
-			<layout class="QHBoxLayout" name="_13">
-			 <item>
-			  <widget class="QPushButton" name="buttonFont">
-			   <property name="cursor">
-				<cursorShape>PointingHandCursor</cursorShape>
-			   </property>
-			   <property name="statusTip">
-				<string>Font face for solution output</string>
-			   </property>
-			   <property name="text">
-				<string>&amp;Font...</string>
-			   </property>
-			   <property name="icon">
-				<iconset resource="../resources/tspsg.qrc">
-				 <normaloff>:/images/icons/fonts.png</normaloff>:/images/icons/fonts.png</iconset>
-			   </property>
-			  </widget>
-			 </item>
-			 <item>
-			  <widget class="QPushButton" name="buttonColor">
-			   <property name="cursor">
-				<cursorShape>PointingHandCursor</cursorShape>
-			   </property>
-			   <property name="statusTip">
-				<string>Font color for solution output</string>
-			   </property>
-			   <property name="text">
-				<string>&amp;Color...</string>
-			   </property>
-			   <property name="icon">
-				<iconset resource="../resources/tspsg.qrc">
-				 <normaloff>:/images/icons/color_line.png</normaloff>:/images/icons/color_line.png</iconset>
-			   </property>
-			  </widget>
-			 </item>
-			 <item>
-			  <spacer name="spacer_5">
-			   <property name="orientation">
-				<enum>Qt::Horizontal</enum>
-			   </property>
-			   <property name="sizeHint" stdset="0">
-				<size>
-				 <width>0</width>
-				 <height>0</height>
-				</size>
-			   </property>
-			  </spacer>
-			 </item>
-			</layout>
-		   </widget>
-		  </item>
-		 </layout>
-		</item>
-		<item>
-		 <spacer name="spacer_6">
-		  <property name="orientation">
-		   <enum>Qt::Vertical</enum>
-		  </property>
-		  <property name="sizeHint" stdset="0">
-		   <size>
-			<width>0</width>
-			<height>0</height>
-		   </size>
-		  </property>
-		 </spacer>
-		</item>
-	   </layout>
-	  </widget>
-	 </widget>
-	</item>
+    <item>
+     <widget class="QTabWidget" name="tabWidget">
+      <widget class="QWidget" name="tabGeneral">
+       <attribute name="title">
+        <string>General</string>
+       </attribute>
+       <attribute name="toolTip">
+        <string>General TSPSG settings</string>
+       </attribute>
+       <layout class="QVBoxLayout" name="_4">
+        <item>
+         <widget class="QCheckBox" name="cbAutosize">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Automatically resize rows and columns to their contents</string>
+          </property>
+          <property name="text">
+           <string>Autosize of rows and columns</string>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <widget class="QCheckBox" name="cbUseNativeDialogs">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Use native File Open and File Save dialogs (uncheck to use Qt's Dialogs)</string>
+          </property>
+          <property name="text">
+           <string>Use native file dialogs</string>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <spacer name="spacer">
+          <property name="orientation">
+           <enum>Qt::Vertical</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>0</width>
+            <height>0</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+       </layout>
+      </widget>
+      <widget class="QWidget" name="tabTask">
+       <attribute name="title">
+        <string>Task</string>
+       </attribute>
+       <attribute name="toolTip">
+        <string>Task generation and solving settings</string>
+       </attribute>
+       <layout class="QVBoxLayout" name="_9">
+        <item>
+         <layout class="QFormLayout" name="_5">
+          <property name="fieldGrowthPolicy">
+           <enum>QFormLayout::ExpandingFieldsGrow</enum>
+          </property>
+          <item row="0" column="0">
+           <widget class="QLabel" name="labelFractionalAccuracy">
+            <property name="text">
+             <string>Fractional accuracy:</string>
+            </property>
+            <property name="buddy">
+             <cstring>spinFractionalAccuracy</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="0" column="1">
+           <widget class="QSpinBox" name="spinFractionalAccuracy">
+            <property name="cursor">
+             <cursorShape>PointingHandCursor</cursorShape>
+            </property>
+            <property name="statusTip">
+             <string>Accuracy of the fractional values (in decimal places)</string>
+            </property>
+            <property name="maximum">
+             <number>6</number>
+            </property>
+           </widget>
+          </item>
+         </layout>
+        </item>
+        <item>
+         <widget class="QCheckBox" name="cbSymmetricMode">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>In this mode the cost of travel from city 1 to city 2 and vice versa is the same</string>
+          </property>
+          <property name="text">
+           <string>Symmetric mode</string>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <widget class="QGroupBox" name="gbTaskGeneration">
+          <property name="title">
+           <string>Task generation</string>
+          </property>
+          <layout class="QVBoxLayout" name="_7">
+           <item>
+            <layout class="QFormLayout" name="_8">
+             <property name="fieldGrowthPolicy">
+              <enum>QFormLayout::ExpandingFieldsGrow</enum>
+             </property>
+             <item row="0" column="0">
+              <widget class="QLabel" name="labelRandMin">
+               <property name="text">
+                <string>Minimal random:</string>
+               </property>
+               <property name="buddy">
+                <cstring>spinRandMin</cstring>
+               </property>
+              </widget>
+             </item>
+             <item row="0" column="1">
+              <widget class="QSpinBox" name="spinRandMin">
+               <property name="cursor">
+                <cursorShape>PointingHandCursor</cursorShape>
+               </property>
+               <property name="statusTip">
+                <string>Minimum for random number generation</string>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="0">
+              <widget class="QLabel" name="labelRandMax">
+               <property name="text">
+                <string>Maximal random:</string>
+               </property>
+               <property name="buddy">
+                <cstring>spinRandMax</cstring>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="1">
+              <widget class="QSpinBox" name="spinRandMax">
+               <property name="cursor">
+                <cursorShape>PointingHandCursor</cursorShape>
+               </property>
+               <property name="statusTip">
+                <string>Maximum for random number generation</string>
+               </property>
+              </widget>
+             </item>
+            </layout>
+           </item>
+           <item>
+            <widget class="QCheckBox" name="cbFractionalRandom">
+             <property name="cursor">
+              <cursorShape>PointingHandCursor</cursorShape>
+             </property>
+             <property name="statusTip">
+              <string>Generate fractional random values with the Fractional accuracy</string>
+             </property>
+             <property name="text">
+              <string>Fractional random values</string>
+             </property>
+            </widget>
+           </item>
+          </layout>
+         </widget>
+        </item>
+        <item>
+         <spacer name="spacer_2">
+          <property name="orientation">
+           <enum>Qt::Vertical</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>10</width>
+            <height>0</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+       </layout>
+      </widget>
+      <widget class="QWidget" name="tabOutput">
+       <attribute name="title">
+        <string>Output</string>
+       </attribute>
+       <attribute name="toolTip">
+        <string>Solution output settings</string>
+       </attribute>
+       <layout class="QVBoxLayout" name="_6">
+        <item>
+         <widget class="QCheckBox" name="cbShowGraph">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Show graphical representation of the solution</string>
+          </property>
+          <property name="text">
+           <string>Show solution graph</string>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <layout class="QHBoxLayout" name="_10">
+          <property name="spacing">
+           <number>5</number>
+          </property>
+          <item>
+           <spacer name="spacer_7">
+            <property name="orientation">
+             <enum>Qt::Horizontal</enum>
+            </property>
+            <property name="sizeType">
+             <enum>QSizePolicy::Fixed</enum>
+            </property>
+            <property name="sizeHint" stdset="0">
+             <size>
+              <width>10</width>
+              <height>0</height>
+             </size>
+            </property>
+           </spacer>
+          </item>
+          <item>
+           <widget class="QLabel" name="labelGraphImageFormat">
+            <property name="text">
+             <string>Save solution graph as</string>
+            </property>
+            <property name="buddy">
+             <cstring>comboGraphImageFormat</cstring>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <widget class="QComboBox" name="comboGraphImageFormat">
+            <property name="cursor">
+             <cursorShape>PointingHandCursor</cursorShape>
+            </property>
+            <property name="statusTip">
+             <string>What image format to use for graph when saving solution as HTML</string>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <spacer name="horizontalSpacer">
+            <property name="orientation">
+             <enum>Qt::Horizontal</enum>
+            </property>
+            <property name="sizeHint" stdset="0">
+             <size>
+              <width>0</width>
+              <height>0</height>
+             </size>
+            </property>
+           </spacer>
+          </item>
+         </layout>
+        </item>
+        <item>
+         <widget class="QCheckBox" name="cbShowMatrix">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Show solution steps' matrices for every solution step</string>
+          </property>
+          <property name="text">
+           <string>Show solution steps' matrices</string>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <layout class="QHBoxLayout" name="_12">
+          <property name="spacing">
+           <number>0</number>
+          </property>
+          <item>
+           <spacer name="spacer_3">
+            <property name="orientation">
+             <enum>Qt::Horizontal</enum>
+            </property>
+            <property name="sizeType">
+             <enum>QSizePolicy::Fixed</enum>
+            </property>
+            <property name="sizeHint" stdset="0">
+             <size>
+              <width>10</width>
+              <height>0</height>
+             </size>
+            </property>
+           </spacer>
+          </item>
+          <item>
+           <widget class="QCheckBox" name="cbCitiesLimit">
+            <property name="cursor">
+             <cursorShape>PointingHandCursor</cursorShape>
+            </property>
+            <property name="statusTip">
+             <string>Show or hide solution steps' matrices based on number of cities in the task</string>
+            </property>
+            <property name="text">
+             <string>Only when &lt;=</string>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <widget class="QSpinBox" name="spinCitiesLimit">
+            <property name="cursor">
+             <cursorShape>PointingHandCursor</cursorShape>
+            </property>
+            <property name="statusTip">
+             <string>Maximum number of cities to show solution steps' matrices</string>
+            </property>
+            <property name="suffix">
+             <string comment="Don't forget a space at the beginning!"> cities</string>
+            </property>
+            <property name="minimum">
+             <number>1</number>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <spacer name="spacer_4">
+            <property name="orientation">
+             <enum>Qt::Horizontal</enum>
+            </property>
+            <property name="sizeHint" stdset="0">
+             <size>
+              <width>0</width>
+              <height>0</height>
+             </size>
+            </property>
+           </spacer>
+          </item>
+         </layout>
+        </item>
+        <item>
+         <widget class="QCheckBox" name="cbScrollToEnd">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Scroll to the end of solution output after solving</string>
+          </property>
+          <property name="text">
+           <string>Scroll to solution end</string>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <layout class="QHBoxLayout" name="_11">
+          <item>
+           <widget class="QGroupBox" name="groupOutput">
+            <property name="title">
+             <string>Output font settings</string>
+            </property>
+            <layout class="QHBoxLayout" name="_13">
+             <item>
+              <widget class="QPushButton" name="buttonFont">
+               <property name="cursor">
+                <cursorShape>PointingHandCursor</cursorShape>
+               </property>
+               <property name="statusTip">
+                <string>Font face for solution output</string>
+               </property>
+               <property name="text">
+                <string>&amp;Font...</string>
+               </property>
+               <property name="icon">
+                <iconset resource="../resources/tspsg.qrc">
+                 <normaloff>:/images/icons/preferences-desktop-font.png</normaloff>:/images/icons/preferences-desktop-font.png</iconset>
+               </property>
+              </widget>
+             </item>
+             <item>
+              <widget class="QPushButton" name="buttonColor">
+               <property name="cursor">
+                <cursorShape>PointingHandCursor</cursorShape>
+               </property>
+               <property name="statusTip">
+                <string>Font color for solution output</string>
+               </property>
+               <property name="text">
+                <string>&amp;Color...</string>
+               </property>
+               <property name="icon">
+                <iconset resource="../resources/tspsg.qrc">
+                 <normaloff>:/images/icons/format-text-color.png</normaloff>:/images/icons/format-text-color.png</iconset>
+               </property>
+              </widget>
+             </item>
+             <item>
+              <spacer name="spacer_5">
+               <property name="orientation">
+                <enum>Qt::Horizontal</enum>
+               </property>
+               <property name="sizeHint" stdset="0">
+                <size>
+                 <width>0</width>
+                 <height>0</height>
+                </size>
+               </property>
+              </spacer>
+             </item>
+            </layout>
+           </widget>
+          </item>
+         </layout>
+        </item>
+        <item>
+         <spacer name="spacer_6">
+          <property name="orientation">
+           <enum>Qt::Vertical</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>0</width>
+            <height>0</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+       </layout>
+      </widget>
+     </widget>
+    </item>
    </layout>
   </widget>
@@ -557,12 +541,12 @@
    <slot>accept()</slot>
    <hints>
-	<hint type="sourcelabel">
-	 <x>190</x>
-	 <y>30</y>
-	</hint>
-	<hint type="destinationlabel">
-	 <x>306</x>
-	 <y>231</y>
-	</hint>
+    <hint type="sourcelabel">
+     <x>190</x>
+     <y>30</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>306</x>
+     <y>231</y>
+    </hint>
    </hints>
   </connection>
@@ -573,12 +557,12 @@
    <slot>reject()</slot>
    <hints>
-	<hint type="sourcelabel">
-	 <x>190</x>
-	 <y>30</y>
-	</hint>
-	<hint type="destinationlabel">
-	 <x>262</x>
-	 <y>245</y>
-	</hint>
+    <hint type="sourcelabel">
+     <x>190</x>
+     <y>30</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>262</x>
+     <y>245</y>
+    </hint>
    </hints>
   </connection>
@@ -589,12 +573,12 @@
    <slot>setEnabled(bool)</slot>
    <hints>
-	<hint type="sourcelabel">
-	 <x>91</x>
-	 <y>107</y>
-	</hint>
-	<hint type="destinationlabel">
-	 <x>113</x>
-	 <y>132</y>
-	</hint>
+    <hint type="sourcelabel">
+     <x>91</x>
+     <y>107</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>113</x>
+     <y>132</y>
+    </hint>
    </hints>
   </connection>
@@ -605,12 +589,12 @@
    <slot>setChecked(bool)</slot>
    <hints>
-	<hint type="sourcelabel">
-	 <x>91</x>
-	 <y>107</y>
-	</hint>
-	<hint type="destinationlabel">
-	 <x>113</x>
-	 <y>132</y>
-	</hint>
+    <hint type="sourcelabel">
+     <x>91</x>
+     <y>107</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>113</x>
+     <y>132</y>
+    </hint>
    </hints>
   </connection>
@@ -621,12 +605,12 @@
    <slot>setEnabled(bool)</slot>
    <hints>
-	<hint type="sourcelabel">
-	 <x>113</x>
-	 <y>132</y>
-	</hint>
-	<hint type="destinationlabel">
-	 <x>183</x>
-	 <y>134</y>
-	</hint>
+    <hint type="sourcelabel">
+     <x>113</x>
+     <y>132</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>183</x>
+     <y>134</y>
+    </hint>
    </hints>
   </connection>
@@ -637,12 +621,12 @@
    <slot>setEnabled(bool)</slot>
    <hints>
-	<hint type="sourcelabel">
-	 <x>113</x>
-	 <y>48</y>
-	</hint>
-	<hint type="destinationlabel">
-	 <x>72</x>
-	 <y>73</y>
-	</hint>
+    <hint type="sourcelabel">
+     <x>113</x>
+     <y>48</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>72</x>
+     <y>73</y>
+    </hint>
    </hints>
   </connection>
@@ -653,12 +637,12 @@
    <slot>setEnabled(bool)</slot>
    <hints>
-	<hint type="sourcelabel">
-	 <x>113</x>
-	 <y>48</y>
-	</hint>
-	<hint type="destinationlabel">
-	 <x>149</x>
-	 <y>73</y>
-	</hint>
+    <hint type="sourcelabel">
+     <x>113</x>
+     <y>48</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>149</x>
+     <y>73</y>
+    </hint>
    </hints>
   </connection>
